process.empty.source.toc
Prev | ToC/LoT/Index Generation | Next

## Name

process.empty.source.toc — Generate automated TOC if `toc` element occurs in a source document?

## Synopsis

    <xsl:param name="process.empty.source.toc" select="0"></xsl:param>

## Description

Specifies that if an empty `toc` element is found in a source document, an automated TOC is generated.

### Note

Depending on what the value of the `generate.toc` parameter is, setting this parameter to `1` could result in generation of duplicate automated TOCs. So the `process.empty.source.toc` is primarily useful as an "override": by placing an empty `toc` in your document and setting this parameter to `1`, you can force a TOC to be generated even if `generate.toc` says not to.

Prev | Up | Next
process.source.toc | Home | bridgehead.in.toc